#include "projectparammodel.h"

ProjectParamModel::ProjectParamModel(QObject *parent)
    : QObject{parent}
{}

QString ProjectParamModel::name() const
{
    return m_name;
}

void ProjectParamModel::setName(const QString &newName)
{
    if (m_name == newName)
        return;
    m_name = newName;
    emit nameChanged();
}

QString ProjectParamModel::value() const
{
    return m_value;
}

void ProjectParamModel::setValue(const QString &newValue)
{
    if (m_value == newValue)
        return;
    m_value = newValue;
    emit valueChanged();
}
